com.sun.grid.jgdi.event

## Class JobPriorityModEvent

- java.lang.Object
- - com.sun.grid.jgdi.event.Event
  - - com.sun.grid.jgdi.event.ChangedObjectEvent
    - - com.sun.grid.jgdi.event.ModEvent
      - - com.sun.grid.jgdi.event.JobModEvent
        - - com.sun.grid.jgdi.event.JobPriorityModEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class JobPriorityModEvent
      extends JobModEvent
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JobPriorityModEvent(long timestamp, int eventID)`

  - ### Method Summary

    - ### Methods inherited from class com.sun.grid.jgdi.event.JobModEvent

      `get, getJobNumber, set, setPKInfo`

    - ### Methods inherited from class com.sun.grid.jgdi.event.ChangedObjectEvent

      `getChangedObject, getObjectType, setChangedObject, toString`

    - ### Methods inherited from class com.sun.grid.jgdi.event.Event

      `getEventId, getTimestamp, getType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JobPriorityModEvent

          public JobPriorityModEvent(long timestamp,
                                     int eventID)

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.